<!-- HTML FÜR DIE BASE SITE -->
{% extends "base.html" %} {% block title %} Home {% endblock %}

{% block content %}
    <!--Sidebar beeinhaltet Logo und Oberkategorien und deren Unterkategorien-->
    <div id="sidebar">
        <div class="logo-div">
            {% load static %} <img class="logo" src="{% static "media/PTW-logo.svg" %}"/>
        </div>
        <!---->
        {% include "partials/kategorien_liste.html" with kat_struct=kat_struct %}
    </div>
    <!--Kopf enthält Kopfzeile und Subkopfzeile-->
    <div id="kopf">
        <!--Kopfzeile zeigt Überschrift & Login der Seite an-->
        <div id="kopfzeile">
            <!--Überschrift, und Informations I zu Seite-->
            <div id="kopfzeile-ueberschrift">
                <h2>Maßnahmenkatalog</h2>
                <button class="info-button" id="info-button-ueberschrift">
                    {% load static %}<img src="{% static "media/info_button.svg" %}" alt="">
                    <span class="extra-info" id="extra-info-ueberschrift">
                        {{ infotext_ueberschrift }}
                    </span>
                </button>
                <h3>zur Steigerung der Ressourceneffizienz in Industriebetrieben</h3>
            </div>
            <!--Loginlogo mit link-->
            <a class="login" href="{% url 'login' %}">
                {% load static %}
                <img class="login-icon" src="{% static 'media/login.svg' %}" alt="login">
            </a>
        </div>
        <!-- Die Sub-Kopfzeile zeigt Kategorienliste-Oeffner, Priorisierungsordner und Suchleiste an-->
        <div id="sub-kopfzeile">
            <button id="sidebar-oeffner">
                <p>☰</p>
                <p>Kategorienauswahl</p>
            </button>
            <!--Kategorien und Unterkategorien-Listen werden eingebunden-->
            {% include "partials/prioriserungen.html" with priorisierungs_liste=priorisierungs_liste %}
            <!--Suchleiste mit Suchvorschlägen-->
            <div id="suchleiste-container" data-tabgroup>
                <div id="suchleiste">
                    <input type="search" id="search" name="search" placeholder="Suchbegriff" autocomplete="off"
                           spellcheck="true"
                           tabindex="0"
                           autocorrect="on">
                    <button id="search-delete" onclick="search.value='';update_mv()">
                        &#x274c;
                    </button>
                </div>
                <div id="suchvorschlaege"></div>
            </div>
        </div>

        <button class="info-button" id="info-button-massnahmen">
            {% load static %}<img src="{% static "media/info_button.svg" %}">
            <span class="extra-info" id="extra-info-massnahmen">
                {{ infotext_massnahmen }}
            </span>
        </button>
    </div>

    <!--Massnahmen werden eingebunden-->
    <div class="massnahmen-liste" id="id-massnahmen-liste">
        {% include "partials/massnahmen_liste.html" with massnahmen_liste=massnahmen_liste %}
    </div>

    <script src="{% static 'vorschlag_functions.js' %}"></script>
    <script src="{% static 'kategorien_functions.js' %}"></script>
    <script src="{% static 'priorisierungen_functions.js' %}"></script>

{% endblock %}
